#define pi 3.14151693

#define GP32_Width 320
#define GP32_Height 240
#define Scr_Size GP32_Width*GP32_Height

#define font_width 16
#define font_height 16

void precalcs();
void update_precbar(char *prec_msg, int i, int i_full);

void SetPlasmaPal();

void Polar(unsigned short *vram, unsigned short shade1[], unsigned short shade2[]);
void Rotozoomer(unsigned short *vram, unsigned short shade[], float ra, float zm);
void Juhlia128(unsigned char *vram);
void Juhlia(unsigned short *buffer, unsigned short shade[], float xpf, float ypf);

void Plasma(unsigned short *vram, unsigned short shade[]);
void PlasmaFade(unsigned short *vram, unsigned short shade[], unsigned int area);
void BlobStars3D(unsigned short *vram);
void Blur(unsigned char *buffer, unsigned char *vram);

void LogoDistort(unsigned short *vram, int xp, int yp);
void LogoZoom(unsigned short *vram, int xp, int yp, float zf);
void drawfont16(int xf, int yf, float zf, int ch, unsigned short shade[], unsigned short *vram);
void OpenJLH(unsigned short *vram, int ffp);
void Close(unsigned short *vram, int xclose);